com.thinkaurelius.titan.diskstorage.configuration

## Class MixedConfiguration

- java.lang.Object
- - com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration
  - - com.thinkaurelius.titan.diskstorage.configuration.MixedConfiguration

- All Implemented Interfaces:
    Configuration

      public class MixedConfiguration
      extends AbstractConfiguration

  Author:
    Matthias Broecheler (me@matthiasb.com)

- - ### Field Summary

    - ### Fields inherited from interface com.thinkaurelius.titan.diskstorage.configuration.Configuration

      `EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MixedConfiguration(ConfigNamespace root, ReadConfiguration global, ReadConfiguration local)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `<O> O` | `get(ConfigOption<O> option, String... umbrellaElements)`
    `Set<String>` | `getContainedNamespaces(ConfigNamespace umbrella, String... umbrellaElements)`
    `Map<String,Object>` | `getSubset(ConfigNamespace umbrella, String... umbrellaElements)`
    `boolean` | `has(ConfigOption option, String... umbrellaElements)`
    `Configuration` | `restrictTo(String... umbrellaElements)`

    - ### Methods inherited from class com.thinkaurelius.titan.diskstorage.configuration.AbstractConfiguration

      `getContainedNamespaces, getPath, getRootNamespace, getSubset, restrictTo, verifyElement`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MixedConfiguration

          public MixedConfiguration(ConfigNamespace root,
                            ReadConfiguration global,
                            ReadConfiguration local)

  - ### Method Detail

    - #### has

          public boolean has(ConfigOption option,
                    String... umbrellaElements)

    - #### get

          public <O> O get(ConfigOption<O> option,
                  String... umbrellaElements)

    - #### getContainedNamespaces

          public Set<String> getContainedNamespaces(ConfigNamespace umbrella,
                                           String... umbrellaElements)

    - #### getSubset

          public Map<String,Object> getSubset(ConfigNamespace umbrella,
                                     String... umbrellaElements)

    - #### restrictTo

          public Configuration restrictTo(String... umbrellaElements)

    - #### close

          public void close()

      Specified by:
        `close` in class `AbstractConfiguration`

Copyright © 2012–2014. All rights reserved.